package com.example.demo1.dto;

import lombok.Data;

import javax.validation.constraints.NotNull;
import java.util.Date;

/**
 * @author 墨鱼_mo
 * @date 2022/6/2 0002 下午 4:42
 */
@Data
public class AddParkingMember {

    private String id;

    @NotNull(message = "车牌号不能为空")
    private String carNum;

    //会员开始时间
    @NotNull(message = "会员开始时间不能为空")
    private Date memberStartTime;

    private Date memberEndTime;

    //会员时长（分钟）
    private Integer memberMin;

    //停车场代号
    @NotNull(message = "停车场代号不能为空")
    private String parkingUname;

    private String memberName;

    /**
     * 会员类型(0:临时车,1:会员车)
     */
    private Integer memberType;

   // @NotNull(message = "手机号不能为空")
    private String memberPhone;

    private Integer gunType;
}
