package com.example.demo1.mq.listener;

import lombok.extern.slf4j.Slf4j;
import org.springframework.amqp.rabbit.annotation.RabbitHandler;
import org.springframework.amqp.rabbit.annotation.RabbitListener;
import org.springframework.stereotype.Component;

@Slf4j
@Component
@RabbitListener(queues = "test5",concurrency = "3")
public class Test5ResultListener {
    @RabbitHandler
    public void process(String id) {

        System.out.println("5555555555555:"+id);
    }

}
