package com.example.demo1.sys.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
  描述:sys_configure的实体类
 */
@Data
public class Configure {

	@ApiModelProperty(value = "主键")
	private String id;

	@ApiModelProperty(value = "key")
	private String key;

	@ApiModelProperty(value = "标题")
	private String title;

	@ApiModelProperty(value = "值")
	private String value;

	@ApiModelProperty(value = "类型(img,text,longtext)")
	private String type;

	@ApiModelProperty(value = "创建人")
	private String createBy;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm", timezone = "GMT+8")
	@ApiModelProperty(value = "创建时间")
	private Date createTime;

	@ApiModelProperty(value = "更新人")
	private String updateBy;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm", timezone = "GMT+8")
	@ApiModelProperty(value = "更新时间")
	private Date updateTime;

	@ApiModelProperty(value = "是否删除")
	private Boolean delFlag;

}