package com.example.demo1.sys.service;


import com.example.demo1.sys.entity.Menu;
import com.example.demo1.utils.Sort;
import com.github.pagehelper.Page;

import java.util.List;
import java.util.Map;

public interface MenuService {
	Menu get(String id);
	boolean exist(String id);
	int insert(Menu model);
	int update(Menu model);
	int delete(String id);
	List<Menu> list();
	Page<Menu> pageSearch(Map<String, Object> searchParams, int pageNum, int pageSize, List<Sort> sortList);

    List<Menu> query(Map<String, Object> searchParams, int limit, List<Sort> sortList);

    List<Menu> findAllocMenu(String subject, String parentId);
}