package com.example.demo1.sys.service;

import com.example.demo1.sys.entity.Role;
import com.example.demo1.sys.entity.UserRole;
import com.example.demo1.utils.Sort;
import com.github.pagehelper.Page;

import java.util.List;
import java.util.Map;

public interface UserRoleService {
	UserRole get(String id);
	boolean exist(String id);
	int insert(UserRole model);
	int update(UserRole model);
	int delete(String id);
	List<UserRole> list();
	Page<UserRole> pageSearch(Map<String, Object> searchParams, int pageNum, int pageSize, List<Sort> sortList);
    List<Role> findRoleByUserId(String userId);
	int deleteByUserId(String userId);
}