package com.example.demo1;

import cn.hutool.core.lang.UUID;
import org.springframework.amqp.rabbit.core.RabbitTemplate;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.data.redis.core.ValueOperations;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestAttribute;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.Date;
import java.util.concurrent.TimeUnit;


@RestController
public class TestController {



    @Autowired
    private ValueOperations<String, Object> valueOperations;
    @Autowired
    RabbitTemplate rabbitTemplate;

    @RequestMapping("/getName")
    @GetMapping
    public String getUsernam(@RequestAttribute String subject)
    {

//        valueOperations.setIfAbsent("ttt_89871" , true, 20, TimeUnit.MINUTES);
//        valueOperations.set("code_09121", new Date(), 30000, TimeUnit.SECONDS);
//        Date dateCurr= (Date)valueOperations.get("code_09121");
        String id = UUID.fastUUID().toString();
        System.out.println("--id:--"+id);
        rabbitTemplate.convertAndSend("exchange_test1", "test1",
                id);
//        rabbitTemplate.convertAndSend("delayExchange", "test123",
//                UUID.fastUUID().toString(), (message) -> {
//                    message.getMessageProperties().setHeader("x-delay", 5*60*1000);//5分钟
//                    //message.getMessageProperties().setHeader("x-delay", 60*1000);//1分钟测试用
//                    return message;
//                });
      //  System.out.println(dateCurr);
        System.out.println("111");
        System.out.println("subject:"+subject);
        return "111";
    }
    @RequestMapping("/getName1")
    @GetMapping
    public String getUsernam1(@RequestAttribute String subject)
    {

        String id = UUID.fastUUID().toString();
        System.out.println("--id:--"+id);
        rabbitTemplate.convertAndSend( "test5",
                id);

        System.out.println("111");

        return "111";
    }
    @RequestMapping("/getName2")
    @GetMapping
    public String getUsernam2(@RequestAttribute String subject)
    {
        String id = UUID.fastUUID().toString();
        System.out.println("--id:--"+id);

        rabbitTemplate.convertAndSend("delayExchangeTest", "test3",
                UUID.fastUUID().toString(), (message) -> {
                    message.getMessageProperties().setHeader("x-delay", 2*60*1000);//1分钟测试用
                    return message;
                });
        System.out.println("111");
        System.out.println("subject:"+subject);
        return "111";
    }
}
