package com.example.demo1.config;

import org.springframework.amqp.core.Binding;
import org.springframework.amqp.core.BindingBuilder;
import org.springframework.amqp.core.CustomExchange;
import org.springframework.amqp.core.Queue;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

import java.util.HashMap;
import java.util.Map;

@Configuration
public class RabbitmqConfig {



    @Bean
    public CustomExchange delayExchange() {
        Map<String, Object> args = new HashMap<>();
        args.put("x-delayed-type", "direct");

        return new CustomExchange("delayExchangeTest", "x-delayed-message",true, false,args);
    }

//    @Bean
//    public Queue appointmentConfirmCountDownQueue() {
//        Queue queue = new Queue("appointmentConfirmCountDownQueue", true);
//        return queue;
//    }

    /**
     * 车主到达充电倒计时
     * @return
     */
//    @Bean
//    public Queue arriveChargingCountDownQueue() {
//        Queue queue = new Queue("arriveChargingCountDownQueue", true);
//        return queue;
//    }
//
//    /**
//     * 预约确认倒计时
//     * @return
//     */
//    @Bean
//    public Binding appointmentConfirmCountBinding() {
//        return BindingBuilder.bind(appointmentConfirmCountDownQueue())
//                .to(delayExchange())
//                .with("appointmentConfirmCountDownSubmit").noargs();
//    }
//
//    /**
//     * 车主到达充电倒计时
//     * @return
//     */
//    @Bean
//    public Binding arriveChargingCountDownBinding() {
//        return BindingBuilder.bind(arriveChargingCountDownQueue())
//                .to(delayExchange())
//                .with("arriveChargingCountDownSubmit").noargs();
//    }
//
//    /**
//     * 站点延时调价队列
//     * @return
//     */
//    @Bean
//    public Queue stationPriceScheduleQueue() {
//        Queue queue = new Queue("stationPriceScheduleQueue", true);
//        return queue;
//    }
//
//    /**
//     * 站点延时调价
//     * @return
//     */
//    @Bean
//    public Binding stationPriceScheduleBinding() {
//        return BindingBuilder.bind(stationPriceScheduleQueue())
//                .to(delayExchange())
//                .with("stationPriceScheduleSubmit").noargs();
//    }
}
