package com.example.demo1.dto;

import cn.afterturn.easypoi.excel.annotation.Excel;
import lombok.Data;

import java.math.BigDecimal;

/**
 * @author 墨鱼_mo
 * @date 2022/8/10 0010 上午 10:53
 */
@Data
public class PayDTO {

    @Excel(name = "车牌", height = 8, width = 13, isImportField = "true")
    private String carNum;
    @Excel(name = "停车场", height = 8, width = 13, isImportField = "true")
    private String  parkingName;
    @Excel(name = "支付时间", height = 8, width = 13, isImportField = "true")
    private String payTimeStr;
    @Excel(name = "应付金额", height = 8, width = 13, isImportField = "true")
    private BigDecimal  payAmount;
    @Excel(name = "已付金额", height = 8, width = 13, isImportField = "true")
    private BigDecimal actualPayAmount;
    @Excel(name = "支付方式", height = 8, width = 13, isImportField = "true")
    private String  payNameStr;

}
