package com.example.demo1.dto;

import lombok.Data;

/**
 * @author 墨鱼_mo
 * @date 2022/5/31 0031 上午 11:23
 */
@Data
public class PlateResult {

    //亮度评价（预留）
    private Integer bright;

    //车身亮度（预留）
    private Integer carBright;

    //车身颜色（预留）
    private Integer carColor;

    //车牌颜色 0：未知、1：蓝色、2：黄色、3：白色、4：黑 色、5：绿色
    private Integer colorType;

    private Integer colorValue;

    //识别结果可信度 1-100
    private Integer confidence;

    //车的行进方向，0：未知，1：左，2：右，3：上， 4：下
    private Integer direction;

    //识别大图片内容经过 base64 后的字符串
    private String imageFile;

    //识别车牌小图片内容经过 base64 后的字符串
    private String imageFragmentFile;

    //识别小图片内容长度，注意不是 base64 后的长度
    private Integer imageFragmentFileLen;

    //设备离线状态，0：在线，1：离线
    private Integer isoffline;

    //车牌号字符串，如“京 AAAAAA”
    private String license;

    private Integer license_ext_type;

    //识别结果车牌 ID
    private Integer plateid;

    //识别结果对应帧的时间戳
    private TimeStamp timeStamp;

    //识别所用时间
    private Integer timeUsed;

    //当前结果的触发类型：1：自动触发类型、2：外部输入触 发（IO 输入）、4：软件触发（SDK）、8：虚拟线圈触发
    private Integer triggerType;

    //车牌类型 0：未知车牌:、1：蓝牌小汽车、2：:黑牌小汽车、 3：单排黄牌、4：双排黄牌、 5：警车车牌、6：武警车 牌、7：个性化车牌、8：单排军车牌、9：双排军车牌、1 0：使馆车牌、11：香港进出中国大陆车牌、12：农用车牌、13：教练车牌、14：澳门进出中国大陆车牌、15：双 层武警车牌、16：武警总队车牌、17：双层武警总队车牌、 18：民航车牌、19：新能源车牌
    private Integer type;

}
