package com.example.demo1.mq.listener;

import cn.hutool.core.date.DateTime;
import lombok.extern.slf4j.Slf4j;
import org.springframework.amqp.rabbit.annotation.RabbitHandler;
import org.springframework.amqp.rabbit.annotation.RabbitListener;
import org.springframework.stereotype.Component;

import java.util.Date;

@Slf4j
@Component
@RabbitListener(queues = "test3",concurrency = "3")
public class Test3ResultListener {
    @RabbitHandler
    public void process(String id) {


        System.out.println("333333333333:"+id+"---"+DateTime.now());
    }

}
