package com.example.demo1.sys.dao;


import com.example.demo1.sys.entity.Role;
import com.example.demo1.utils.Sort;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

@Repository
public interface RoleDAO {
	int insert(Role entity);
	int update(Role entity);
	int exist(String id);
	Role get(String id);
	int delete(String id);
	List<Role> list();
	List<Role> search(Map<String, Object> searchParams, List<Sort> sortList);

    Role findByName(String name);
}