package com.example.demo1.sys.dao;


import com.example.demo1.sys.entity.SysLog;
import com.example.demo1.utils.Sort;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

@Repository
public interface SysLogDAO {
	int insert(SysLog entity);
	int update(SysLog entity);
	int exist(Long id);
	SysLog get(Long id);
	int delete(Long id);
	List<SysLog> list();
	List<SysLog> search(Map<String, Object> searchParams, List<Sort> sortList);
}