package com.example.demo1.sys.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;
import java.util.List;

/**
  描述:sys_user的实体类
 */
@Data
public class User {
	private String id;
	private String companyId;
	private String companyName;
	private String userName;
	private String password;
	private String realName;
	private String phoneNum;
	@DateTimeFormat(pattern="yyyy-MM-dd HH:mm")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm",timezone ="GMT+8")
	private Date createTime;
	@DateTimeFormat(pattern="yyyy-MM-dd HH:mm")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm",timezone ="GMT+8")
	private Date updateTime;
	private Boolean delFlag;
	private String createBy;
	private String updateBy;
	private List<String> roles;
	private String openId;
	private List<String> parkingList;
	private String parkingName;
}