package com.example.demo1.sys.service;


import com.example.demo1.sys.entity.Permission;
import com.example.demo1.utils.Sort;
import com.github.pagehelper.Page;

import java.util.List;
import java.util.Map;

public interface PermissionService {
	Permission get(String id);
	boolean exist(String path, String method);
	int insert(Permission model);
	int update(Permission model);
	int delete(String id);
	List<Permission> list();
	Page<Permission> pageSearch(Map<String, Object> searchParams, int pageNum, int pageSize, List<Sort> sortList);

    boolean hasPermitted(String userId, String path, String method);
}