package com.example.demo1.sys.service;


import com.example.demo1.sys.entity.RolePermission;
import com.example.demo1.utils.Sort;
import com.github.pagehelper.Page;

import java.util.List;
import java.util.Map;

public interface RolePermissionService {
	RolePermission get(String id);
	boolean exist(String id);
	int insert(RolePermission model);
	int update(RolePermission model);
	int delete(String id);
	List<RolePermission> list();
	Page<RolePermission> pageSearch(Map<String, Object> searchParams, int pageNum, int pageSize, List<Sort> sortList);

    List<RolePermission> findByRoleId(String roleId);

	int deleteByRoleId(String roleId);
}