package com.example.demo1.sys.service;


import com.example.demo1.sys.entity.Role;
import com.example.demo1.utils.Sort;
import com.github.pagehelper.Page;

import java.util.List;
import java.util.Map;

public interface RoleService {
	Role get(String id);
	boolean exist(String id);
	int insert(Role model);
	int update(Role model);
	int delete(String id);
	List<Role> list();
	Page<Role> pageSearch(Map<String, Object> searchParams, int pageNum, int pageSize, List<Sort> sortList);

    Role findByName(String name);
}