package com.example.demo1.utils;

import com.example.demo1.config.OSSConfig;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;
import sun.misc.BASE64Decoder;

import java.io.ByteArrayInputStream;

/**
 * @author 墨鱼_mo
 * @date 2022/6/1 0001 上午 11:51
 */
@Component
public class FileUtil {

    @Autowired
    private OSSConfig ossConfig;


    public  String uploadBase64(String photoName, String photoBase64Data) {

        try {
            BASE64Decoder decoder = new BASE64Decoder();

            String[] arr = photoBase64Data.split(",");

            byte[] imgData = decoder.decodeBuffer(arr[0]);

            for (int i = 0; i < imgData.length; ++i) {
                if (imgData[i] < 0) {// 调整异常数据
                    imgData[i] += 256;
                }
            }

            ByteArrayInputStream inputStream = new ByteArrayInputStream(imgData);

            if (org.apache.commons.lang3.StringUtils.isEmpty(photoName)) {
                photoName = "1.png";
            }

            String retFileUrl = OSSUtil.upload(ossConfig, "/chargingParking", photoName, inputStream);
            return retFileUrl;
        } catch (Exception ex) {

        }
        return null;



    }
}
